%define major 2
%define libname %mklibname %{name} %{major}

%define sfbpfmajor 0
%define libsfbpf %mklibname sfbpf %{sfbpfmajor}

%define develname %mklibname %{name} -d

Name:		daq
Version:	2.0.6
Release:	%mkrel 4
Summary:	Data Acquisition library, for packet I/O
License:	GPLv2+
Group:		Networking/Other
URL:		http://www.snort.org/
Source:		http://www.snort.org/downloads/%{name}-%{version}.tar.gz
#Source1:	http://www.snort.org/downloads/%{name}-%{version}.tar.gz.sig
BuildRequires:	pcap-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(libnetfilter_queue)
BuildRequires:	dnet-devel
BuildRequires:	pkgconfig(libipq)
BuildRequires:	pkgconfig(xtables)

%description
Snort 2.9 introduces the DAQ, or Data Acquisition library, for packet I/O.  The
DAQ replaces direct calls to PCAP functions with an abstraction layer that
facilitates operation on a variety of hardware and software interfaces without
requiring changes to Snort.  It is possible to select the DAQ type and mode
when invoking Snort to perform PCAP readback or inline operation, etc.  The
DAQ library may be useful for other packet processing applications and the
modular nature allows you to build new modules for other platforms.

%package -n %{libname}
Summary:	Main library for daq
Group:		System/Libraries

%description -n %{libname}
Snort 2.9 introduces the DAQ, or Data Acquisition library, for packet I/O.  The
DAQ replaces direct calls to PCAP functions with an abstraction layer that
facilitates operation on a variety of hardware and software interfaces without
requiring changes to Snort.  It is possible to select the DAQ type and mode
when invoking Snort to perform PCAP readback or inline operation, etc.  The
DAQ library may be useful for other packet processing applications and the
modular nature allows you to build new modules for other platforms.

%package -n %{libsfbpf}
Summary:	Library for daq
Group:		System/Libraries
Conflicts:	%{_lib}daq1 < %{version}-%{release}
Conflicts:	%{_lib}daq0 < %{version}-%{release}

%description -n %{libsfbpf}
Snort 2.9 introduces the DAQ, or Data Acquisition library, for packet I/O.  The
DAQ replaces direct calls to PCAP functions with an abstraction layer that
facilitates operation on a variety of hardware and software interfaces without
requiring changes to Snort.  It is possible to select the DAQ type and mode
when invoking Snort to perform PCAP readback or inline operation, etc.  The
DAQ library may be useful for other packet processing applications and the
modular nature allows you to build new modules for other platforms.

%package modules
Summary:	Bundled DAQ modules
Group:		System/Libraries

%description modules
Contains the DAQ modules that come bundled with the base LibDAQ distribution.

%package -n %{develname}
Summary:	Header files for the dssl library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libsfbpf} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	openssl-devel
Requires:	libpcap-devel
Requires:	zlib-devel

%description -n %{develname}
Snort 2.9 introduces the DAQ, or Data Acquisition library, for packet I/O.  The
DAQ replaces direct calls to PCAP functions with an abstraction layer that
facilitates operation on a variety of hardware and software interfaces without
requiring changes to Snort.  It is possible to select the DAQ type and mode
when invoking Snort to perform PCAP readback or inline operation, etc.  The
DAQ library may be useful for other packet processing applications and the
modular nature allows you to build new modules for other platforms.

%prep
%setup -q

%build
%configure --disable-ipfw-module
# Parallel builds sometimes fail unless this is built first
%__make -C sfbpf sf_grammar.c
%make_build

%install
%make_install

# Remove the .la files
find %{buildroot} -name '*.la' -delete

%files modules
%{_libdir}/daq

%files -n %{libname}
%doc README
%{_libdir}/libdaq.so.%{major}
%{_libdir}/libdaq.so.%{major}.*

%files -n %{libsfbpf}
%{_libdir}/libsfbpf.so.%{sfbpfmajor}
%{_libdir}/libsfbpf.so.%{sfbpfmajor}.*

%files  -n %{develname}
%{_bindir}/daq-modules-config
%{_includedir}/daq.h
%{_includedir}/daq_api.h
%{_includedir}/daq_common.h
%{_includedir}/sfbpf.h
%{_includedir}/sfbpf_dlt.h
%{_libdir}/libdaq_static.a
%{_libdir}/libdaq_static_modules.a
%{_libdir}/libsfbpf.a
%{_libdir}/libsfbpf.so
%{_libdir}/libdaq.so
%{_libdir}/libdaq.a


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 2.0.6-4.mga8
+ Revision: 1511814
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.0.6-3.mga7
+ Revision: 1297399
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Tue Mar 01 2016 oden <oden> 2.0.6-1.mga6
+ Revision: 981532
- 2.0.6

* Mon Feb 08 2016 umeabot <umeabot> 2.0.4-2.mga6
+ Revision: 943249
- Mageia 6 Mass Rebuild
+ dlucio <dlucio>
- 2.0.4
- S1 dropped, it is not available

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-4.mga5
+ Revision: 749802
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.0.2-3.mga5
+ Revision: 693724
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-2.mga5
+ Revision: 678669
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 dlucio <dlucio> 2.0.2-1.mga5
+ Revision: 617848
- 2.0.2

* Sun Mar 16 2014 wally <wally> 2.0.1-2.mga5
+ Revision: 604073
- rebuild for mga5
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Aug 26 2013 dlucio <dlucio> 2.0.1-1.mga4
+ Revision: 471819
- 2.0.1

* Fri Jan 11 2013 umeabot <umeabot> 2.0.0-2.mga3
+ Revision: 348583
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dlucio <dlucio> 2.0.0-1.mga3
+ Revision: 326211
- 2.0.0

* Thu Sep 13 2012 fwang <fwang> 1.1.1-2.mga3
+ Revision: 293385
- split out libsfbpf

* Wed Sep 12 2012 dlucio <dlucio> 1.1.1-1.mga3
+ Revision: 292743
- 1.1.1
- file list fixed

* Tue Jan 24 2012 guillomovitch <guillomovitch> 0.6.2-2.mga2
+ Revision: 200563
- spec cleanup
- drop all .la files
- own %%{_libdir}/daq directory

* Fri Oct 07 2011 dlucio <dlucio> 0.6.2-1.mga2
+ Revision: 152822
- 0.6.2
- 0.6.1
- 0.6.1
- Say hello to Mageia
- rebuild
- imported package daq


* Wed Dec 22 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.5-1mdv2011.0
+ Revision: 623831
- 0.5

* Thu Dec 02 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.4-1mdv2011.0
+ Revision: 604664
- 0.4

* Tue Nov 02 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.3-1mdv2011.0
+ Revision: 591751
- 0.3

* Wed Oct 06 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.2-2mdv2011.0
+ Revision: 583444
- fix the compilation, thanx to Michale Altizer

* Wed Oct 06 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.2-1mdv2011.0
+ Revision: 583142
- import daq

